> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirempire.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Permanently delete a webhook subscription from your workspace

## Query Parameters

<ParamField query="id" type="string" required placeholder="Enter webhook ID">
  The unique identifier of the webhook to delete
</ParamField>

## Authentication

<ResponseField name="Authorization" type="string" required>
  Bearer authentication header of the form `Bearer <token>`, where `<token>` is your API token.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}' \
  --header 'Authorization: Bearer sk-••••••••••••'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.hirempire.com/v1/delete-webhook?id={webhook_id}', {
    method: 'DELETE',
    headers: { 'Authorization': 'Bearer sk-••••••••••••' }
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.hirempire.com/v1/delete-webhook"
  headers = { "Authorization": "Bearer sk-••••••••••••" }
  params = { "id": "{webhook_id}" }

  response = requests.delete(url, headers=headers, params=params)
  print(response.json())
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://api.hirempire.com/v1/delete-webhook?id={webhook_id}',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_HTTPHEADER => array(
      'Authorization: Bearer sk-••••••••••••'
    ),
  ));

  $response = curl_exec($curl);
  curl_close($curl);

  print_r(json_decode($response, true));
  ?>
  ```
</RequestExample>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the webhook was deleted successfully
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier of the deleted webhook
</ResponseField>

<ResponseField name="message" type="string">
  Confirmation message
</ResponseField>

<ResponseField name="deleted" type="string">
  ISO 8601 timestamp of when the webhook was deleted
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "id": "0c8b5e54-e053-40b2-8c9c-b45ec90acf8a",
    "message": "Webhook deleted successfully",
    "deleted": "2026-06-27T10:42:00.000Z"
  }
  ```
</ResponseExample>

## Error Responses

### 400 Bad Request

```json theme={null}
{
  "success": false,
  "error": "Query parameter 'id' is required."
}
```

```json theme={null}
{
  "success": false,
  "error": "Only 'id' query parameter is allowed."
}
```

### 401 Unauthorized

```json theme={null}
{
  "success": false,
  "error": "Invalid token"
}
```

```json theme={null}
{
  "success": false,
  "error": "Token is expired"
}
```

### 404 Not Found

```json theme={null}
{
  "success": false,
  "error": "Webhook not found"
}
```
